KAS-MENU(1)

NAME
kas-menu - kas menu plugin

SYNOPSIS

            kas menu [-h] [kconfig]

DESCRIPTION

Provides a configuration menu and triggers the build of the choices.

This plugin implements the kas menu command.

When this command is executed, kas will open a configuration menu as described by a Kconfig file. It processes any pre-existing configuration file with saved settings, stores the final selections and invokes the build plugin if requested by the user.

To make use of this plugin, a Kconfig file has to be provided. The menu can define these types of configuration variables that the plugin will translate into a kas configuration:

            •   kas configuration files that will be included when building the generated configuration. Those are picked up from Kconfig string variables that have the name prefix KAS_INCLUDE_.

            •   bitbake targets that shall be built via the generated configuration. Those are picked up from Kconfig string variables that have the name prefix KAS_TARGET_.

            •   The build_system that will used. The static Kconfig string variable KAS_BUILD_SYSTEM defines this value which must be openembedded, oe, isar, isar-privileged or isar-rootless is set.

            •   bitbake configuration variables that will be added to the local_conf_header section of the generated configuration. All other active Kconfig string, integer or hex variables are treated as such.

See <https://www.kernel.org/doc/html/latest/kbuild/kconfig-language.html> for a complete documentation of the Kconfig language.

The menu plugin writes the selected configuration to a .config.yaml file in the kas work directory and also reads previous selection from such a file if it exists. The .config.yaml both contains the selected configuration in the menu_configuration key and also the effective settings that can be used to invoke kas build or other kas commands.

OPTIONS

Positional Arguments

    kconfig='Kconfig'
        Kconfig file

KAS

Part of the kas(1) suite.

Author
Daniel Wagner, Jan Kiszka, Claudius Heine

Copyright
Siemens and contributors, 2017-2025